function [D] = readWisconsinData(path, discretization, bins)
%READSPLICEDATA Summary of this function goes here
%   Detailed explanation goes here

D = textread(path, '', 'delimiter', ',');
Y = D(:, 2);
D = [D(:, 3 : end) Y];
[I, n] = size(D);
n = n - 1;

if discretization
    for i = 1 : n
        X = D(:, i);
        minX = min(X);
        maxX = max(X);
        D(:, i) = ceil(bins * ((X - minX) / (maxX - minX)));
        index = find(D(:, i) == 0);
        D(index, i) = 1;
    end
end

end